<?php
	
	class actionUnfinderOptions extends cmsAction{
		
		public function run(){
			
			$user = cmsUser::getInstance();
			
			if (!$user->is_admin) { cmsCore::error404(); }  
			
			$template = cmsTemplate::getInstance();
			
			$form = $this->getForm('options');
			
			$template->addBreadcrumb('Опции');
			$options = cmsController::loadOptions($this->name);
			$errors = false;
			
			if ($this->request->has('submit')){
				
				$options = array_merge( $options, $form->parse($this->request, true) );
				$errors  = $form->validate($this, $options);
				
				if (!$errors){
					
					cmsUser::addSessionMessage(LANG_CP_SAVE_SUCCESS, 'success');
					
					cmsController::saveOptions($this->name, $options);
					
					$this->processCallback(__FUNCTION__, array($options));
					
					$columns = $this->getTables();
					
					if (!empty($columns)){
						$this->redirectToAction('links');
					}
					
				}
				
				if ($errors){
					
					cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
				}
				
				
			}
			
			$template = cmsTemplate::getInstance();
			return $template->render('backend/options', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
			));
			
		}
		
	}
	
